V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
yyzh
V2EX  ›  分享发现

知名代理插件 Proxy SwitchyOmega 在 2024 年 6 月过后将无法使用

  •  6
     
  •   yyzh · 60 天前 · 10586 次点击
    这是一个创建于 60 天前的主题,其中的信息可能已经有所发展或是发生改变。
    99 条回复    2024-02-26 11:24:32 +08:00
    junkk
        1
    junkk  
       60 天前
    那咋整,这个东西很好用啊
    frozenway
        2
    frozenway  
       60 天前
    有没有替代品?
    infun
        3
    infun  
       60 天前   ❤️ 9
    A01514035
        4
    A01514035  
       60 天前
    同求替代品 我也觉得这个很好用
    wonderfulcxm
        5
    wonderfulcxm  
       60 天前 via iPhone   ❤️ 2
    不会吧,这是刚需插件
    PeakFish
        6
    PeakFish  
       60 天前
    我去
    PeakFish
        7
    PeakFish  
       60 天前
    是我老了吗?
    cat
        8
    cat  
       60 天前
    刚需插件… 求个代替品
    body007
        9
    body007  
       60 天前
    刚需插件,没有了可咋整啊。
    xtreme1
        10
    xtreme1  
       60 天前   ❤️ 3
    停用 Manifest V2 后的所有影响中, Proxy SwitchyOmega 无法使用不算什么大事...
    lizy0329
        11
    lizy0329  
       60 天前
    岂不是 chrome 上所有插件都需要修改?
    nagisaushio
        12
    nagisaushio  
       60 天前 via Android
    有人打算接手嘛
    dianso
        13
    dianso  
       60 天前
    这玩意作用不大吧,现在的软件都支持全局分流啊
    oppoic
        14
    oppoic  
       60 天前   ❤️ 1
    不光这个吧,太多都是 Manifest V2 ,我本地就 3 个是 Manifest V3 ,其中 2 个还是我自己写的


    大家可以看看自己安装的插件,源码本地地址:C:\Users\你 的 用 户 名\AppData\Local\Google\Chrome\User Data\Default\Extensions

    点开 Manifest.json 搜索:manifest_version 看看是 2 还是 3
    cvbnt
        15
    cvbnt  
       60 天前 via Android
    foxy proxy 凑合能用
    jgh004
        16
    jgh004  
       60 天前   ❤️ 4
    还好我用 firefox
    wu67
        17
    wu67  
       60 天前
    无所谓, 我都挂着全局代理, 靠代理工具进行分流了.

    最大的麻烦是广告扩展, 这个改动会很大程度上影响广告扩展的屏蔽能力
    chust
        18
    chust  
       60 天前   ❤️ 1
    前阵子把所有设备上的插件都切换到 SmartProxy 了,用着和 SwitchyOmega 没啥区别
    xubingok
        19
    xubingok  
       60 天前
    我草..刚需插件啊..可以开始寻找替代品了.
    dule
        20
    dule  
       60 天前
    不是吧,好在我因为 chrome 更新过于频繁,干脆禁用掉更新了
    microka
        21
    microka  
       60 天前
    这玩意是真的好用,不希望全局 pac ,这工具轻量、便捷、易用(虽然有时超时检测要等比较久)
    之前有一款很好用的轻量级划词翻译扩展也是因为 manifest v2/v3 问题被 Chrome 扩展市场下架了,现在是用别人改好适配 manifest v3 的本地版。https://github.com/greatghoul/smooth-translator/issues/9
    zictos
        22
    zictos  
       60 天前
    我还在用 Proxy SwitchySharp ,2020 年 3 月之后就没更新过了
    datocp
        23
    datocp  
       60 天前
    早就受不了 chrome 自己在后台更新,换了 Chroium 太平多了。只是这些年离线安装插件的方法又不会了。
    常年用 Proxy SwitchySharp,离开它还真不适应,以后难道要变成开 2 个版本的浏览器,一个挂代理一个不挂,到时候应该有高人来解决吧!!!
    callmesmc
        24
    callmesmc  
       60 天前 via iPhone
    这还刚需😂这不是刚有墙的时候的东西吗,现在什么代理软件不能分流啊
    allin1
        25
    allin1  
       60 天前
    @jgh004 火狐也要上 MV3 的,只是进度比 chrome 慢。还没有确切时间表啥时候停止 V2
    lzgshsj
        26
    lzgshsj  
       60 天前
    反正已经在物色长期支持 V2 的浏览器了,不知道各位有没有什么推荐(尽量也是 chromium 的
    allin1
        27
    allin1  
       60 天前   ❤️ 1
    @lzgshsj brave 和 vivaldi 都说过会继续支持 V2 ,不是完整保留,至少也会保留 webRequest API 。但问题是 chrome 商店会在 2025 删除 V2 的扩展,扩展的分发就成大问题。自己想办法备份自己安装,更新也得自己找可靠来源。火狐也说 v3 下保留 webRequest API ,看你愿不愿意用
    Yanlongli
        28
    Yanlongli  
       60 天前   ❤️ 2
    那就停止 chrome 的更新
    min
        29
    min  
       60 天前
    MS Edge 用户会受影响吗?
    Reficul
        30
    Reficul  
       60 天前
    试了下 SmartProxy 不支持 PAC, 像我这种希望级联 GfwList 和公司 PAC 的还是暂时无法替代。。。
    Andim
        31
    Andim  
       60 天前
    用了应该有十年了吧?这个在不同代理软件之间切换真方便,我常年开了两个代理 v2rayn, nekoray, 有时还会切到局域网的代理服务器
    HFX3389
        32
    HFX3389  
       60 天前
    @infun #3 刚切到这个还不太习惯,尤其是习惯之前用 SwitchyOmega 的时候可以瞥一眼图标,根据图标的颜色看看这个网站用的哪个代理,还是到 6 月前继续用吧
    HFX3389
        33
    HFX3389  
       60 天前
    只能用 V3 以后很多广告屏蔽的插件都没办法用咯..
    cssk
        34
    cssk  
       60 天前 via iPhone
    第一次听说
    emonc
        35
    emonc  
       60 天前
    油猴好像也不能加载远程脚本了,好在我的脚本都是我自己写的。
    goodryb
        36
    goodryb  
       60 天前
    重度依赖的插件,不仅仅是科学上网,配置多代理非常好多,添加规则也方便,之恨自己技术太差,真希望有人能接手继续维护
    miaomiao888
        37
    miaomiao888  
       60 天前
    微软、谷歌
    近年的操作没一个好东西
    moult
        38
    moult  
       60 天前
    我 SwitchySharp 都一直在用,只需要手动切换代理和 PAC 就够了。
    mortal
        39
    mortal  
       60 天前
    不用 Chrome 了
    peachpeach
        40
    peachpeach  
       60 天前
    @callmesmc 我听都没听说过这玩意.... 一样随意科学上网呀...
    laydown
        41
    laydown  
       60 天前 via Android
    刚需,希望有人能弄个差不多的,否则,我会想办法禁止 chrome 更新。我配置好了之后,甚至都忘记自己在墙内了。
    rxmt
        42
    rxmt  
       60 天前 via iPhone   ❤️ 1
    因为开发环境等配完全局规则,个别时候会遇到奇奇怪怪的问题,所以更习惯关着全局,各个程序分别配,这个插件就是个贼方便的工具。。
    ljian6530
        43
    ljian6530  
       60 天前
    @rxmt 赞同,一直都是这么用
    leonshaw
        44
    leonshaw  
       60 天前 via Android
    谷歌一如既往地傲慢
    weijancc
        45
    weijancc  
       60 天前
    @lzgshsj #25 我目前是留了个 edge105 版本的离线安装包, 然后禁用 edge 的自动更新.
    isnullstring
        46
    isnullstring  
       60 天前
    @infun #3 试了一下,还行,可以代理谷歌的网页翻译
    coderfox
        47
    coderfox  
       60 天前
    @min 目前 Edge 还没有给出具体的时间表,但是有停用 Manifest V2 的计划。
    https://learn.microsoft.com/en-us/microsoft-edge/extensions-chromium/developer-guide/manifest-v3
    vvhy
        48
    vvhy  
       60 天前
    连网页翻译都代理不了,不如命令行参数--proxy-server
    yyzh
        49
    yyzh  
    OP
       60 天前
    @vvhy 这个好像是 chrome 的设计问题.可以用下面这两个程序找到可用的 ip 然后写进系统的 hosts 文件里
    https://github.com/Ponderfly/GoogleTranslateIpCheck
    https://github.com/GoodCoder666/GoogleTranslate_IPFinder
    这个博客里有修改 hosts 的教程
    https://hcfy.app/blog/2022/09/28/ggg
    docx
        50
    docx  
       60 天前 via Android
    坚定停留在 Manifest V2 浏览器
    Adelell
        51
    Adelell  
       60 天前 via iPhone
    GFW 养了一个产业链,千万不能推倒。
    zbttl
        52
    zbttl  
       60 天前 via Android
    庆幸自己用的是更新缓慢的 centbrowser ,反正有什么功能是需要新版本浏览器的就用 edge ,原版 chrome 我是不碰了,大公司的爹味都太重,从强行更改拓展收纳界面变成现在这种难用的要死的排布我就对原版 chrome 没啥好印象。另外对于有几个代理工具的用户,proxy switchyomega 确实是刚需。
    iamwin
        53
    iamwin  
       60 天前 via Android
    无所谓,抛弃 chrome 转投 firefox ,然后留个老版本 ungoogledchromium 对付 sb chrome only 的网站就行了
    ho121
        54
    ho121  
       60 天前 via Android
    换 Firefox 吧
    Greenm
        55
    Greenm  
       60 天前
    还好我不用 chrome
    vvhy
        56
    vvhy  
       60 天前
    @yyzh #49 改 hosts 还是治标不治本,系统代理方便一点
    default
        57
    default  
       60 天前
    200 万用户的插件作者竟然没动力更新,着实说明一个问题
    juded
        58
    juded  
       60 天前
    幸好用 firefox ,chrome 早晚成新 ie 。
    lianggexp
        59
    lianggexp  
       60 天前
    lianggexp
        60
    lianggexp  
       60 天前
    @callmesmc #24
    你以为只是翻墙才需要代理切换工具吗?
    我的电脑,从内网访问外网需要一个代理,从外网访问内网需要一个代理,抓包需要换 localhost 端口做代理,翻墙又需要另一种代理。
    你推荐一个工具来方便我分流或切换?
    leeyaunlong
        61
    leeyaunlong  
       60 天前
    @lianggexp 我用的 privoxy.
    acerphoenix
        62
    acerphoenix  
       60 天前
    擦, 影响大了
    iorilu
        63
    iorilu  
       60 天前
    关注下, 到时候看看有没有好的替代
    bclerdx
        64
    bclerdx  
       60 天前 via Android
    特别关注。
    Lentin
        65
    Lentin  
       60 天前
    @vvhy #56 proxifier 写好配置文件用服务模式无感启动,很完美
    https://www.typemylife.com/use-proxifier-to-visit-chrome-built-in-google-translate/
    xuromky
        66
    xuromky  
       60 天前
    这个推主就是 proxy switchyOmega 的开发者吗
    idragonet
        67
    idragonet  
       60 天前
    这样即可:"C:\Program Files\Google\Chrome\Application\chrome.exe" --proxy-server=http://127.0.0.1:7869

    代理交给 Clash 管理
    idragonet
        68
    idragonet  
       60 天前
    @goodryb #36 规则什么交给 CLASH
    Stoney
        69
    Stoney  
       60 天前 via iPhone
    卧槽,真的假的?用了快十年了,希望挺住啊
    marcong95
        70
    marcong95  
       60 天前
    迫于拖延症自己电脑重装完一直没用回 vivaldi ,一直临时用着 edge ,已经把分流工作丢给 clash 很久了。。。
    sneezry
        71
    sneezry  
       60 天前
    @oppoic #14 Authenticator 的 V3 我在做了 😆
    goodryb
        72
    goodryb  
       60 天前
    @idragonet clash 的规则配置相对还是麻烦很多,不如插件来的方便
    MarkP
        73
    MarkP  
       60 天前
    希望社区能有大佬能升级到 V3
    horizon
        74
    horizon  
       60 天前
    @infun #3
    挺难用的,模式切换经常失败。
    Knights
        75
    Knights  
       60 天前
    Firefox 原生支持 socks5 ,很好用
    mimzy
        76
    mimzy  
       60 天前
    竟然已经十几年了,SwitchyOmega 诞生时我 2012 年转发的帖子还历历在目… /t/38980
    LRYE
        77
    LRYE  
       60 天前
    Chrome 用户可以试试在快捷方式中加上
    /proxy-server=http://127.0.0.1:7890
    也可以达到端口代理的效果
    pppanda
        78
    pppanda  
       60 天前

    [salarcode/SmartProxy: Firefox/Chrome browser extension. SmartProxy will automatically enable/disable proxy for the sites you visit, based on customizable patterns.]( https://github.com/salarcode/SmartProxy)
    Smilencer
        79
    Smilencer  
       60 天前
    clash for windows 前阵子不是删库了,现在都用什么 clash 客户端?
    dobelee
        80
    dobelee  
       60 天前
    @sneezry 大佬加油。离不开了。
    wclebb
        81
    wclebb  
       60 天前
    Surge 已经全管代理了。
    我在这个插件换来换去都怀疑不起作用。

    现在还在用是因为可以用来切别的设备,比如 NAS ,虚拟机等。
    ZhouXuan
        82
    ZhouXuan  
       60 天前
    不知不觉可用了那么多年了
    DOLLOR
        83
    DOLLOR  
       60 天前   ❤️ 1
    我早已经改用 v3 开发插件了,比较恼的是 Firefox 对 V3 的支持度还不完善,不得不维护两套代码。
    xuromky
        84
    xuromky  
       60 天前
    感觉没有比 Proxy SwitchyOmega 更好用的了
    mokiki
        85
    mokiki  
       59 天前
    Chrome 不能用跟我 Firefox 有什么关系
    mywaiting
        86
    mywaiting  
       59 天前
    用户超 200 万的插件作者竟然无力更新下去,有点唏嘘,用爱发电确实不容易

    用了这么多年,建议作者去开个打赏通道吧,我去尽一点微薄的心意
    tyrone2333
        87
    tyrone2333  
       59 天前
    情景模式才几十条就不能用 chrome 同步了, 不好用
    lizy0329
        88
    lizy0329  
       59 天前
    作者弄点高级服务,收费。早就成百万富翁了
    0x90200
        89
    0x90200  
       59 天前
    还在用这个, 不知道有没有替代的
    blackmirror
        90
    blackmirror  
       59 天前
    google 就是喜欢 瞎鸡巴搞
    locochen
        91
    locochen  
       59 天前
    vvhy
        92
    vvhy  
       59 天前
    @Lentin #65 感觉这个还不如命令行参数方便
    pixelbook
        93
    pixelbook  
       59 天前
    SwitchyOmega 刚需,分流 G1V
    看样子只能用 proxifier 了
    andy040322
        94
    andy040322  
       59 天前 via iPhone
    V3 很多插件用不了 gg 这次真是不厚道 想想微软升级系统兼容性真好
    xukongyang
        95
    xukongyang  
       59 天前   ❤️ 1
    谢谢推荐,已经从 omega 切换到 smartproxy ,一样好用,在 chrome 、firefox 、brave ,edge 这 4 大浏览器中正常使用,就是要做如下设置:

    1 、设置里面的常规设置最下方的:“切换方案或代理服务器时刷新当前标签页” 默认是没有勾选的,习惯了 omega 打开或关闭代理时自动刷新当前页面来确认是否代理成功了,所以这个建议勾选上。

    2 、我的局域网的 192.168.1.*地址段不需要代理,按自己需要在智能方案中的“自动切换”、“始终开启”中使用“添加规则”添加一条“Host regex”,域名填写 192.168.1.1 ,“url 正则表达式”中填写 192.168.1.* “动作”中选择“白名单(无代理)“即可。127.0.0.1 也可加上,好像有的浏览器加了才行,有些不加又行,自己看情况处理吧。

    3 、同样 localhost 也不会需要代理,添加规则添加一条”Search domain and subdomain",域名填写 localhost 即可。

    4 、添加完成后一定要注意点击”保存更改“!!!

    未雨绸缪,先换为敬!:)
    Lentin
        96
    Lentin  
       59 天前
    @vvhy #92 如果外部调用形式启动浏览器的话命令行参数就不方便了……或者用其他方式“劫持”实现附带代理参数也许也可行……但是不知道有啥工具,目前就想到这个了
    xuromky
        97
    xuromky  
       58 天前
    @infun #3 借楼问下 smartproxy 如何添加 gfwlist.txt
    dragonQueen
        98
    dragonQueen  
       58 天前   ❤️ 2
    SmiteChow
        99
    SmiteChow  
       57 天前
    刚需什么啊,桌面系统级别已经支持 PAC 了
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   我们的愿景   ·   实用小工具   ·   5439 人在线   最高记录 6543   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 39ms · UTC 07:58 · PVG 15:58 · LAX 00:58 · JFK 03:58
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.